# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Jul 16 03:28:51 2021
# ------------------------------------------------

package:
  name: libdeflate
  version: '1.8'
source:
  sha256: 50711ad4e9d3862f8dfb11b97eb53631a86ee3ce49c0e68ec2b6d059a9662f61
  url: https://github.com/ebiggers/libdeflate/archive/v1.8.tar.gz
build:
  number: '0'
  run_exports:
    - libdeflate >=1.8,<1.9.0a0
  string: h7f98852_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_1
    - binutils_linux-64 2.36 hf3e587d_32
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_32
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.36.1 hea4e1c9_1
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgomp 9.3.0 h2828fa1_19
  run:
    - libgcc-ng >=9.3.0
test:
  commands:
    - test ! -f ${PREFIX}/lib/libdeflate.a
    - test -f ${PREFIX}/lib/libdeflate${SHLIB_EXT}
    - test -f ${PREFIX}/include/libdeflate.h
    - libdeflate-gzip -h
    - libdeflate-gunzip -h
about:
  home: https://github.com/ebiggers/libdeflate
  license: MIT
  license_file: COPYING
  summary: libdeflate is a library for fast, whole-buffer DEFLATE-based compression
    and decompression.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - dpryan79
    - hmaarrfk
    - rhpvorderman
